Dist::Zilla::PluginBundle::Filter(3pm)

NAME
Dist::Zilla::PluginBundle::Filter - use another bundle, with some plugins removed

VERSION
version 6.037

SYNOPSIS
In your dist.ini:

  [@Filter]
  -bundle = @Basic
  -version = 5.031
  -remove = ShareDir
  -remove = UploadToCPAN
  option = for_basic

DESCRIPTION
This plugin bundle actually wraps and modifies another plugin bundle. It includes all the configuration for the bundle named in the "-bundle" attribute, but removes all the entries whose package is given in the "-remove" attributes.

A minimum required version of the bundle can be specified with the "-version" attribute.

Options not prefixed with "-" will be passed to the bundle to be filtered.

NOTE: When you filter a bundle you SHOULD NOT include it directly in your "dist.ini" file. This plugin will take care of including it for you.

PERL VERSION
This module should work on any version of perl still receiving updates from the Perl 5 Porters. This means it should work on any version of perl released in the last two to three years. (That is, if the most recently released version is v5.40, then this module should work on both v5.40 and v5.38.)

Although it may work on older versions of perl, no guarantee is made that the minimum required version will not be increased. The version may be increased for any reason, and there is no promise that patches will be accepted to lower the minimum required perl.

SEE ALSO
Core Dist::Zilla plugins: @Basic.

Dist::Zilla roles: PluginBundle.

AUTHOR
Ricardo SIGNES 😏 <cpan@semiotic.systems>

COPYRIGHT AND LICENSE
This software is copyright (c) 2026 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.